<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">
<h:head>
    <title>Users List</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>
<h:body>
    <h1>Users List</h1>

    <h:outputScript target="head">
        $ = jQuery;
        $(document).ready(function ()
        {
            console.log("Hello World!");
        });
        function deleteUser(id)
        {
            alert("Are you sure you want to delete user #{userControl.showUserById(id)}?");
        }
    </h:outputScript>
    <h:dataTable value="#{userControl.showUserList()}"
                 var="user"
                 styleClass="TableUtilisateur"
                 headerClass="TableHeader"
                 rowClass="TableRowOdd,TableRowEven">
        <h:column>
            <f:facet name="header">ID</f:facet>
            #{user.id}
        </h:column>
        <h:column>
            <f:facet name="header">Login</f:facet>
            #{user.login}
        </h:column>
        <!-- <h:column>
            <f:facet name="header">Role</f:facet>
            #{user.role}
        </h:column> -->
        <h:column>
            <f:facet name="header">Actions</f:facet>
            <h:form>
                Delete: <h:commandButton value="X" action="#{userControl.deleteUser(user.id)}"/>
            </h:form>
            
            <!-- <h:commandButton href="user_profile.xhtml?facets-redirect=true&amp;id=#{user.id}">View</h:commandButton>
             -->
             <h:form>
            	<h:commandLink action="#{userControl.updateRedirect(user.login)}" value="View"></h:commandLink>
        	</h:form>
        </h:column>
    </h:dataTable>
</h:body>
</html>
